umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
SymbolPropertyPOD Struct Reference

## Public Attributes
int | boundRectX
int | boundRectY
int | boundRectW
int | boundRectH
int | axisLineStartX
int | axisLineStartY
int | axisLineEndX
int | axisLineEndY
int | endPoint0x
int | endPoint0y
int | endPoint1x
int | endPoint1y

## Detailed Description

Auxiliary struct for Symbol::SymbolProperty in C Plain Old Data format avoids danger of "C++ static initialization order fiasco", see https://en.cppreference.com/w/cpp/language/siof

## Member Data Documentation

## ◆ axisLineEndX

int SymbolPropertyPOD::axisLineEndX

## ◆ axisLineEndY

int SymbolPropertyPOD::axisLineEndY

## ◆ axisLineStartX

int SymbolPropertyPOD::axisLineStartX

## ◆ axisLineStartY

int SymbolPropertyPOD::axisLineStartY

## ◆ boundRectH

int SymbolPropertyPOD::boundRectH

## ◆ boundRectW

int SymbolPropertyPOD::boundRectW

## ◆ boundRectX

int SymbolPropertyPOD::boundRectX

## ◆ boundRectY

int SymbolPropertyPOD::boundRectY

## ◆ endPoint0x

int SymbolPropertyPOD::endPoint0x

## ◆ endPoint0y

int SymbolPropertyPOD::endPoint0y

## ◆ endPoint1x

int SymbolPropertyPOD::endPoint1x

## ◆ endPoint1y

int SymbolPropertyPOD::endPoint1y

The documentation for this struct was generated from the following file:

- umbrello/umlwidgets/associationline.cpp